Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/CPLEX/CplexContext.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/CPLEX/CplexContext.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/CPLEX/CplexContext.cs	(revision 16728)
@@ -20,15 +20,15 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.CPLEX {
   [Item("CPLEX Context", "A context for CPLEX solvers.")]
-  [StorableClass]
+  [StorableType("9A91A380-A6C3-4294-80D7-163AA13D600B")]
   public class CplexContext : SingleSolutionContext<ISingleObjectiveSolutionScope<GQAPSolution>> {
     
     [StorableConstructor]
-    protected CplexContext(bool deserializing) : base(deserializing) { }
+    protected CplexContext(StorableConstructorFlag _) : base(_) { }
     protected CplexContext(CplexContext original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/CPLEX/CplexSolver.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/CPLEX/CplexSolver.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/CPLEX/CplexSolver.cs	(revision 16728)
@@ -22,4 +22,5 @@
 using System;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,5 +28,4 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using ILOG.CPLEX;
 using ILOG.OPL;
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.CPLEX {
   [Item("CPLEX Solver (GQAP)", "Base class")]
-  [StorableClass]
+  [StorableType("09AC71C5-20C7-4AC0-9E5A-405BA5075552")]
   public abstract class CplexSolver : ContextAlgorithm<CplexContext, IntegerVectorEncoding> {
     public override bool SupportsPause {
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected CplexSolver(bool deserializing) : base(deserializing) { }
+    protected CplexSolver(StorableConstructorFlag _) : base(_) { }
     protected CplexSolver(CplexSolver original, Cloner cloner)
     : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/CPLEX/GQAP-FY.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/CPLEX/GQAP-FY.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/CPLEX/GQAP-FY.cs	(revision 16728)
@@ -20,7 +20,7 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using ILOG.CPLEX;
 using ILOG.OPL;
@@ -28,10 +28,10 @@
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.CPLEX {
   [Item("FY-Linearization CPLEX (GQAP)", "")]
-  [StorableClass]
+  [StorableType("C10D185E-B007-4C9F-9EFC-6EE1D44A3DE1")]
   [Creatable(CreatableAttribute.Categories.Algorithms)]
   public sealed class GQAP_FY : CplexSolver {
     
     [StorableConstructor]
-    private GQAP_FY(bool deserializing) : base(deserializing) { }
+    private GQAP_FY(StorableConstructorFlag _) : base(_) { }
     private GQAP_FY(GQAP_FY original, Cloner cloner)
     : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/CPLEX/GQAP-KB.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/CPLEX/GQAP-KB.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/CPLEX/GQAP-KB.cs	(revision 16728)
@@ -20,7 +20,7 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using ILOG.CPLEX;
 using ILOG.OPL;
@@ -28,10 +28,10 @@
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.CPLEX {
   [Item("KB-Linearization CPLEX (GQAP)", "")]
-  [StorableClass]
+  [StorableType("649D3DB6-3E54-46E7-BB12-5F26417D6E40")]
   [Creatable(CreatableAttribute.Categories.Algorithms)]
   public sealed class GQAP_KB : CplexSolver {
     
     [StorableConstructor]
-    private GQAP_KB(bool deserializing) : base(deserializing) { }
+    private GQAP_KB(StorableConstructorFlag _) : base(_) { }
     private GQAP_KB(GQAP_KB original, Cloner cloner)
     : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/ESContext.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/ESContext.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/ESContext.cs	(revision 16728)
@@ -20,12 +20,12 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.Evolutionary {
   [Item("Evolution Strategy (GQAP) Context", "Context for Evolution Strategies (GQAP).")]
-  [StorableClass]
+  [StorableType("8A811131-337D-4CF6-A938-FFA08BF50B40")]
   public sealed class ESContext : PopulationContext<ISingleObjectiveSolutionScope<ESGQAPSolution>> {
     
@@ -52,5 +52,5 @@
     
     [StorableConstructor]
-    private ESContext(bool deserializing) : base(deserializing) { }
+    private ESContext(StorableConstructorFlag _) : base(_) { }
     private ESContext(ESContext original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/ESGQAPSolution.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/ESGQAPSolution.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/ESGQAPSolution.cs	(revision 16728)
@@ -20,13 +20,13 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.IntegerVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.Evolutionary {
   [Item("ES-specific GQAP Solution", "GQAP Solution that holds a strategy parameter")]
-  [StorableClass]
+  [StorableType("00A9856C-5E25-4F12-B3B0-6A9FF855B8A9")]
   public class ESGQAPSolution : GQAPSolution {
 
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected ESGQAPSolution(bool deserializing) : base(deserializing) { }
+    protected ESGQAPSolution(StorableConstructorFlag _) : base(_) { }
     protected ESGQAPSolution(ESGQAPSolution original, Cloner cloner)
     : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/EvolutionStrategy.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/EvolutionStrategy.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/EvolutionStrategy.cs	(revision 16728)
@@ -24,4 +24,5 @@
 using System.Linq;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -30,13 +31,13 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.Evolutionary {
+  [StorableType("d568d524-1f84-461c-adf5-573d8e472063")]
   public enum ESSelection { Plus = 0, Comma = 1 }
 
   [Item("Evolution Strategy (GQAP)", "The algorithm implements a simple evolution strategy (ES).")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms)]
-  [StorableClass]
+  [StorableType("A1590185-F2E3-4163-896E-28EEC93A5CDF")]
   public sealed class EvolutionStrategy : StochasticAlgorithm<ESContext, IntegerVectorEncoding> {
 
@@ -93,5 +94,5 @@
 
     [StorableConstructor]
-    private EvolutionStrategy(bool deserializing) : base(deserializing) { }
+    private EvolutionStrategy(StorableConstructorFlag _) : base(_) { }
     private EvolutionStrategy(EvolutionStrategy original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/OSGA.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/OSGA.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/OSGA.cs	(revision 16728)
@@ -23,4 +23,5 @@
 using System.Linq;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -29,10 +30,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.Evolutionary {
   [Item("OSGA (GQAP)", "The algorithm implements a strict offspring selection genetic algorithm (OSGA).")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms)]
-  [StorableClass]
+  [StorableType("3BCF54DD-CECB-4027-AF2F-1764E6318B78")]
   public sealed class OSGA : StochasticAlgorithm<OSGAContext, IntegerVectorEncoding> {
 
@@ -71,5 +71,5 @@
 
     [StorableConstructor]
-    private OSGA(bool deserializing) : base(deserializing) { }
+    private OSGA(StorableConstructorFlag _) : base(_) { }
     private OSGA(OSGA original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/OSGAContext.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/OSGAContext.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Evolutionary/OSGAContext.cs	(revision 16728)
@@ -21,13 +21,13 @@
 
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.Evolutionary {
   [Item("OSGA (GQAP) Context", "Context for OSGA (GQAP).")]
-  [StorableClass]
+  [StorableType("65ADDF53-91A6-4C8C-9DDE-B330E87AB32B")]
   public sealed class OSGAContext : PopulationContext<ISingleObjectiveSolutionScope<GQAPSolution>> {
     
@@ -72,5 +72,5 @@
     
     [StorableConstructor]
-    private OSGAContext(bool deserializing) : base(deserializing) { }
+    private OSGAContext(StorableConstructorFlag _) : base(_) { }
     private OSGAContext(OSGAContext original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/GRASP/GRASP.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/GRASP/GRASP.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/GRASP/GRASP.cs	(revision 16728)
@@ -23,4 +23,5 @@
 using System.Linq;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -29,5 +30,4 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.GRASP {
@@ -41,5 +41,5 @@
   [Item("GRASP+PR (GQAP)", "The algorithm implements the Greedy Randomized Adaptive Search Procedure (GRASP) with Path Relinking as described in Mateus, G., Resende, M., and Silva, R. 2011. GRASP with path-relinking for the generalized quadratic assignment problem. Journal of Heuristics 17, Springer Netherlands, pp. 527-565.")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms)]
-  [StorableClass]
+  [StorableType("F39B6832-67A7-4123-B279-338914599BAB")]
   public sealed class GRASP : StochasticAlgorithm<GRASPContext, IntegerVectorEncoding> {
 
@@ -123,5 +123,5 @@
 
     [StorableConstructor]
-    private GRASP(bool deserializing) : base(deserializing) { }
+    private GRASP(StorableConstructorFlag _) : base(_) { }
     private GRASP(GRASP original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/GRASP/GRASPContext.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/GRASP/GRASPContext.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/GRASP/GRASPContext.cs	(revision 16728)
@@ -21,12 +21,12 @@
 
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.GRASP {
   [Item("GRASP+PR (GQAP) Context", "Context for GRASP+PR (GQAP).")]
-  [StorableClass]
+  [StorableType("64A7F8C0-8A38-4293-AC84-CE241EBF6F2C")]
   public sealed class GRASPContext : PopulationContext<ISingleObjectiveSolutionScope<GQAPSolution>> {
     
@@ -50,5 +50,5 @@
     
     [StorableConstructor]
-    private GRASPContext(bool deserializing) : base(deserializing) { }
+    private GRASPContext(StorableConstructorFlag _) : base(_) { }
     private GRASPContext(GRASPContext original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms-3.3.csproj
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms-3.3.csproj	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms-3.3.csproj	(revision 16728)
@@ -10,5 +10,5 @@
     <RootNamespace>HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -42,4 +42,9 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\bin\HEAL.Attic.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
     <Reference Include="HeuristicLab.Collections-3.3, Version=3.3.0.0">
       <HintPath>..\..\..\..\trunk\bin\HeuristicLab.Collections-3.3.dll</HintPath>
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Algorithms/ContextAlgorithm.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Algorithms/ContextAlgorithm.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Algorithms/ContextAlgorithm.cs	(revision 16728)
@@ -24,4 +24,5 @@
 using System.Linq;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Analysis;
 using HeuristicLab.Common;
@@ -30,9 +31,8 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms {
   [Item("Context-based Algorithm", "Algorithms that make use of contexts to facilitate applying operators.")]
-  [StorableClass]
+  [StorableType("F7679602-28B2-495C-AF6C-370EFC7BE38A")]
   public abstract class ContextAlgorithm<TContext, TEncoding> : BasicAlgorithm
     where TContext : class, IContext, new()
@@ -110,5 +110,5 @@
 
     [StorableConstructor]
-    protected ContextAlgorithm(bool deserializing) : base(deserializing) { }
+    protected ContextAlgorithm(StorableConstructorFlag _) : base(_) { }
     protected ContextAlgorithm(ContextAlgorithm<TContext, TEncoding> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Algorithms/StochasticAlgorithm.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Algorithms/StochasticAlgorithm.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Algorithms/StochasticAlgorithm.cs	(revision 16728)
@@ -21,4 +21,5 @@
 
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -26,10 +27,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms {
   [Item("Stochastic Algorithm", "Stochastic context-based algorithms to facilitate applying operators.")]
-  [StorableClass]
+  [StorableType("749A9442-BCE6-45A1-8911-159217199013")]
   public abstract class StochasticAlgorithm<TContext, TEncoding> : ContextAlgorithm<TContext, TEncoding>
     where TContext : class, IStochasticContext, new()
@@ -57,5 +57,5 @@
 
     [StorableConstructor]
-    protected StochasticAlgorithm(bool deserializing) : base(deserializing) { }
+    protected StochasticAlgorithm(StorableConstructorFlag _) : base(_) { }
     protected StochasticAlgorithm(StochasticAlgorithm<TContext, TEncoding> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Contexts/BasicContext.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Contexts/BasicContext.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Contexts/BasicContext.cs	(revision 16728)
@@ -23,13 +23,13 @@
 using System.Collections.Generic;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms {
   [Item("Basic Context", "A base class for algorithms' contexts.")]
-  [StorableClass]
+  [StorableType("633CC9F2-35B9-4193-A022-0D768532937A")]
   public class BasicContext : ParameterizedNamedItem, IContext {
 
@@ -77,5 +77,5 @@
 
     [StorableConstructor]
-    protected BasicContext(bool deserializing) : base(deserializing) { }
+    protected BasicContext(StorableConstructorFlag _) : base(_) { }
     protected BasicContext(BasicContext original, Cloner cloner)
     : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Contexts/PopulationContext.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Contexts/PopulationContext.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Contexts/PopulationContext.cs	(revision 16728)
@@ -22,11 +22,11 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms {
   [Item("Population Context", "A context for population-based algorithms.")]
-  [StorableClass]
+  [StorableType("2FF3BB92-80E9-4463-B05A-5D36B76873A6")]
   public abstract class PopulationContext<TSolutionScope> : StochasticContext
     where TSolutionScope: class, IScope {
@@ -56,5 +56,5 @@
 
     [StorableConstructor]
-    protected PopulationContext(bool deserializing) : base(deserializing) { }
+    protected PopulationContext(StorableConstructorFlag _) : base(_) { }
     protected PopulationContext(PopulationContext<TSolutionScope> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Contexts/SingleSolutionContext.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Contexts/SingleSolutionContext.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Contexts/SingleSolutionContext.cs	(revision 16728)
@@ -20,11 +20,11 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms {
   [Item("Single Solution Context", "A context for single solution algorithms.")]
-  [StorableClass]
+  [StorableType("1AE4E4ED-21C5-48E7-833C-58D813557026")]
   public abstract class SingleSolutionContext<TSolutionScope> : StochasticContext
     where TSolutionScope: class, IScope {
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected SingleSolutionContext(bool deserializing) : base(deserializing) { }
+    protected SingleSolutionContext(StorableConstructorFlag _) : base(_) { }
     protected SingleSolutionContext(SingleSolutionContext<TSolutionScope> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Contexts/StochasticContext.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Contexts/StochasticContext.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Contexts/StochasticContext.cs	(revision 16728)
@@ -20,12 +20,12 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms {
   [Item("Stochastic Context", "A base class for stochastic algorithms' contexts.")]
-  [StorableClass]
+  [StorableType("9A9B3147-4D77-45E7-9A79-B6393666AB2E")]
   public class StochasticContext : BasicContext, IStochasticContext {
     
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected StochasticContext(bool deserializing) : base(deserializing) { }
+    protected StochasticContext(StorableConstructorFlag _) : base(_) { }
     protected StochasticContext(StochasticContext original, Cloner cloner)
     : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Interfaces.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Interfaces.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/Interfaces.cs	(revision 16728)
@@ -21,12 +21,14 @@
 
 using System;
+using HEAL.Attic;
 using HeuristicLab.Core;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms {
+  [StorableType("2bab7669-028a-4ba8-9c63-60853e15ad47")]
   public interface ISingleObjectiveSolutionScope<TSolution> : IScope {
     TSolution Solution { get; set; }
     double Fitness { get; set; }
   }
-
+  [StorableType("0ae52e60-5ea1-428f-99ca-b7b84a79857d")]
   public interface IContext : IExecutionContext {
     new IExecutionContext Parent { get; set; }
@@ -37,5 +39,5 @@
     event EventHandler BestQualityChanged;
   }
-
+  [StorableType("ab766d45-2dab-4280-9f4e-1531fe9a91cf")]
   public interface IStochasticContext : IContext {
     IRandom Random { get; set; }
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/SingleObjectiveSolutionScope.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/SingleObjectiveSolutionScope.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/Infrastructure/SingleObjectiveSolutionScope.cs	(revision 16728)
@@ -21,13 +21,13 @@
 
 using System.Drawing;
+using HEAL.Attic;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms {
   [Item("Solution Scope", "Scope for an individual/solution of a single-objective single-encoded problem.")]
-  [StorableClass]
+  [StorableType("C3F4010D-8B4F-4F0E-B99C-1B78AED8F114")]
   public sealed class SingleObjectiveSolutionScope<T> : NamedItem, ISingleObjectiveSolutionScope<T> where T : class, IItem {
     public new static Image StaticItemImage {
@@ -73,5 +73,5 @@
 
     [StorableConstructor]
-    private SingleObjectiveSolutionScope(bool deserializing) : base(deserializing) { }
+    private SingleObjectiveSolutionScope(StorableConstructorFlag _) : base(_) { }
     private SingleObjectiveSolutionScope(SingleObjectiveSolutionScope<T> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LAHC/LAHC.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LAHC/LAHC.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LAHC/LAHC.cs	(revision 16728)
@@ -23,4 +23,5 @@
 using System.Linq;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -29,10 +30,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.LAHC {
   [Item("LAHC (GQAP)", "Late-acceptance hill climber for the GQAP.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms)]
-  [StorableClass]
+  [StorableType("41FABEE1-506A-45FE-A6D3-57932036AEC8")]
   public sealed class LAHC : StochasticAlgorithm<LAHCContext, IntegerVectorEncoding> {
 
@@ -62,5 +62,5 @@
 
     [StorableConstructor]
-    private LAHC(bool deserializing) : base(deserializing) { }
+    private LAHC(StorableConstructorFlag _) : base(_) { }
     private LAHC(LAHC original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LAHC/LAHCContext.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LAHC/LAHCContext.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LAHC/LAHCContext.cs	(revision 16728)
@@ -20,13 +20,13 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.LAHC {
   [Item("LAHC Context", "Context for late-acceptance hill climber")]
-  [StorableClass]
+  [StorableType("546B6C06-D986-49AA-BDEB-B664D2A9DA8C")]
   public sealed class LAHCContext : SingleSolutionContext<ISingleObjectiveSolutionScope<GQAPSolution>> {
     [Storable]
@@ -59,5 +59,5 @@
     
     [StorableConstructor]
-    private LAHCContext(bool deserializing) : base(deserializing) { }
+    private LAHCContext(StorableConstructorFlag _) : base(_) { }
     private LAHCContext(LAHCContext original, Cloner cloner)
     : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LAHC/pLAHC.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LAHC/pLAHC.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LAHC/pLAHC.cs	(revision 16728)
@@ -22,4 +22,5 @@
 using System;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -28,10 +29,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.LAHC {
   [Item("pLAHC-s (GQAP)", "Parameterless Late-acceptance hill climber for the GQAP.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms)]
-  [StorableClass]
+  [StorableType("90A97927-D784-4F73-9215-ADC75A9F6C9D")]
   public sealed class PLAHCS : StochasticAlgorithm<PLAHCContext, IntegerVectorEncoding> {
 
@@ -72,5 +72,5 @@
 
     [StorableConstructor]
-    private PLAHCS(bool deserializing) : base(deserializing) { }
+    private PLAHCS(StorableConstructorFlag _) : base(_) { }
     private PLAHCS(PLAHCS original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LAHC/pLAHCContext.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LAHC/pLAHCContext.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LAHC/pLAHCContext.cs	(revision 16728)
@@ -20,13 +20,13 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.LAHC {
   [Item("pLAHC-s Context", "Context for parameterless late-acceptance hill climber with seeding.")]
-  [StorableClass]
+  [StorableType("3C550AB5-8FEC-42DA-9200-ABC98A1C20EA")]
   public sealed class PLAHCContext : SingleSolutionContext<ISingleObjectiveSolutionScope<GQAPSolution>> {
     [Storable]
@@ -73,5 +73,5 @@
     
     [StorableConstructor]
-    private PLAHCContext(bool deserializing) : base(deserializing) { }
+    private PLAHCContext(StorableConstructorFlag _) : base(_) { }
     private PLAHCContext(PLAHCContext original, Cloner cloner)
     : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSearch/IteratedLS.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSearch/IteratedLS.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSearch/IteratedLS.cs	(revision 16728)
@@ -22,4 +22,5 @@
 using System;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -28,10 +29,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.LocalSearch {
   [Item("Iterated Local Search (GQAP)", "Iterated local search for the GQAP.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms)]
-  [StorableClass]
+  [StorableType("2C8EE433-B133-4382-8B4F-4EFFA536D759")]
   public sealed class IteratedLS : StochasticAlgorithm<LocalSearchContext, IntegerVectorEncoding> {
 
@@ -61,5 +61,5 @@
 
     [StorableConstructor]
-    private IteratedLS(bool deserializing) : base(deserializing) { }
+    private IteratedLS(StorableConstructorFlag _) : base(_) { }
     private IteratedLS(IteratedLS original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSearch/LocalSearchContext.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSearch/LocalSearchContext.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSearch/LocalSearchContext.cs	(revision 16728)
@@ -20,12 +20,12 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.LocalSearch {
   [Item("Local Search Context", "Context for local search algorithms.")]
-  [StorableClass]
+  [StorableType("1AD51259-7DDB-43C1-A4A0-9E8B652988B1")]
   public sealed class LocalSearchContext : SingleSolutionContext<ISingleObjectiveSolutionScope<GQAPSolution>> {
     [Storable]
@@ -44,5 +44,5 @@
     
     [StorableConstructor]
-    private LocalSearchContext(bool deserializing) : base(deserializing) { }
+    private LocalSearchContext(StorableConstructorFlag _) : base(_) { }
     private LocalSearchContext(LocalSearchContext original, Cloner cloner)
     : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSearch/MultistartLS.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSearch/MultistartLS.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSearch/MultistartLS.cs	(revision 16728)
@@ -22,4 +22,5 @@
 using System;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,10 +28,9 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.LocalSearch {
   [Item("Multi-start Local Search (GQAP)", "Multi-start local search for the GQAP.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms)]
-  [StorableClass]
+  [StorableType("DA79118A-BA6B-4A0F-81E6-752D750BF7F4")]
   public sealed class MultistartLS : StochasticAlgorithm<LocalSearchContext, IntegerVectorEncoding> {
 
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    private MultistartLS(bool deserializing) : base(deserializing) { }
+    private MultistartLS(StorableConstructorFlag _) : base(_) { }
     private MultistartLS(MultistartLS original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSolverNet/GQAPBinarySolver.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSolverNet/GQAPBinarySolver.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSolverNet/GQAPBinarySolver.cs	(revision 16728)
@@ -22,4 +22,5 @@
 using System;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,10 +28,9 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using localsolver;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.LocalSolverNet {
   [Item("LocalSolver Binary (GQAP)", "LocalSolver algorithm solving the GQAP using 0-1 decision variables")]
-  [StorableClass]
+  [StorableType("E9040268-4240-4EF7-8E9A-6991D0831D06")]
   [Creatable(CreatableAttribute.Categories.Algorithms)]
   public sealed class GQAPBinarySolver : ContextAlgorithm<LocalSolverContext, IntegerVectorEncoding> {
@@ -56,5 +56,5 @@
 
     [StorableConstructor]
-    private GQAPBinarySolver(bool deserializing) : base(deserializing) { }
+    private GQAPBinarySolver(StorableConstructorFlag _) : base(_) { }
     private GQAPBinarySolver(GQAPBinarySolver original, Cloner cloner)
     : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSolverNet/GQAPIntegerSolver.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSolverNet/GQAPIntegerSolver.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSolverNet/GQAPIntegerSolver.cs	(revision 16728)
@@ -22,4 +22,5 @@
 using System;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,10 +28,9 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using localsolver;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.LocalSolverNet {
   [Item("LocalSolver Integer (GQAP)", "LocalSolver algorithm solving the GQAP using integer decision variables")]
-  [StorableClass]
+  [StorableType("6D0D77CE-A8DE-41EA-9674-A1D59782D03B")]
   [Creatable(CreatableAttribute.Categories.Algorithms)]
   public sealed class GQAPIntegerSolver : ContextAlgorithm<LocalSolverContext, IntegerVectorEncoding> {
@@ -55,5 +55,5 @@
 
     [StorableConstructor]
-    private GQAPIntegerSolver(bool deserializing) : base(deserializing) { }
+    private GQAPIntegerSolver(StorableConstructorFlag _) : base(_) { }
     private GQAPIntegerSolver(GQAPIntegerSolver original, Cloner cloner)
     : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSolverNet/GQAPListSolver.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSolverNet/GQAPListSolver.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSolverNet/GQAPListSolver.cs	(revision 16728)
@@ -22,4 +22,5 @@
 using System;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,10 +28,9 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using localsolver;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.LocalSolverNet {
   [Item("LocalSolver List (GQAP)", "LocalSolver algorithm solving the GQAP using list decision variables")]
-  [StorableClass]
+  [StorableType("BBB27FAA-DCFD-4DB4-A465-4A02E1A0EDA9")]
   [Creatable(CreatableAttribute.Categories.Algorithms)]
   public sealed class GQAPListSolver : ContextAlgorithm<LocalSolverContext, IntegerVectorEncoding> {
@@ -55,5 +55,5 @@
 
     [StorableConstructor]
-    private GQAPListSolver(bool deserializing) : base(deserializing) { }
+    private GQAPListSolver(StorableConstructorFlag _) : base(_) { }
     private GQAPListSolver(GQAPListSolver original, Cloner cloner)
     : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSolverNet/LocalSolverContext.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSolverNet/LocalSolverContext.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/LocalSolverNet/LocalSolverContext.cs	(revision 16728)
@@ -20,12 +20,12 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.LocalSolverNet {
   [Item("LocalSolver Context", "A context for CPLEX solvers.")]
-  [StorableClass]
+  [StorableType("DAE4D0C7-AFE1-4FCF-9DD5-899E4DC4FD9E")]
   public class LocalSolverContext : SingleSolutionContext<ISingleObjectiveSolutionScope<GQAPSolution>> {
 
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected LocalSolverContext(bool deserializing) : base(deserializing) { }
+    protected LocalSolverContext(StorableConstructorFlag _) : base(_) { }
     protected LocalSolverContext(LocalSolverContext original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/RandomSearch/RandomSearch.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/RandomSearch/RandomSearch.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/RandomSearch/RandomSearch.cs	(revision 16728)
@@ -22,4 +22,5 @@
 using System;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,10 +28,9 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.RandomSearch {
   [Item("Random Search (GQAP)", "Random search for the GQAP.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms)]
-  [StorableClass]
+  [StorableType("D6ED1A84-BBCD-4163-96A7-47F3DCACBE49")]
   public sealed class RandomSearch : StochasticAlgorithm<RandomSearchContext, IntegerVectorEncoding> {
 
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    private RandomSearch(bool deserializing) : base(deserializing) { }
+    private RandomSearch(StorableConstructorFlag _) : base(_) { }
     private RandomSearch(RandomSearch original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/RandomSearch/RandomSearchContext.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/RandomSearch/RandomSearchContext.cs	(revision 15890)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/RandomSearch/RandomSearchContext.cs	(revision 16728)
@@ -20,12 +20,12 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms.RandomSearch {
   [Item("Random Search Context", "Context for random search algorithms.")]
-  [StorableClass]
+  [StorableType("49827D3F-3668-44C8-888B-5F5EB6769652")]
   public sealed class RandomSearchContext : SingleSolutionContext<ISingleObjectiveSolutionScope<GQAPSolution>> {
     [Storable]
@@ -44,5 +44,5 @@
     
     [StorableConstructor]
-    private RandomSearchContext(bool deserializing) : base(deserializing) { }
+    private RandomSearchContext(StorableConstructorFlag _) : base(_) { }
     private RandomSearchContext(RandomSearchContext original, Cloner cloner)
     : base(original, cloner) {
